#version 120

/* DRAWBUFFERS:024 */

vec4 watercolor = vec4(0.16, 0.39, 0.92, 0.8);

varying vec4 color;
varying vec2 texcoord;
varying vec3 normal;

uniform float sunAngle;
uniform sampler2D texture;
//uniform float rainStrength;
//uniform float frameTimeCounter;

bool isNight() {
	float sunmoonLevel = sin(sunAngle * (2 * 3.1415));
	return sunmoonLevel < 0;
}

void main() {	
	float len = length(texture2D(texture, texcoord.xy).rgb);
	vec4 xtex = texture2D(texture, texcoord.xy); xtex.a = watercolor.a;
	
	vec4 ntex = vec4((len * watercolor * color).rgb, watercolor.a * 0.75);
	vec4 shinePos = vec4((normal) / 2 + 0.5, len);		
	if (isNight() == true) {
		ntex.a *= 0.75;
	}
	shinePos.a *= 6.0;
	gl_FragData[0] = xtex;
	gl_FragData[2] = ntex;
	gl_FragData[2] = shinePos;
}